About Any to Icon

Introduction

Any to Icon converts BMP, WBMP, JPEG, GIF, PNG, WMF, PCX, PSD, TIFF, XPM, XBM, ANI, ICPR, CUR formats and Mac OS icons into Windows icons. You can add files and folders from Windows Explorer or other file shells using drag and drop. You also can paste bitmaps from the clipboard and change color resolution and size to create customized icons. It's possible to convert 256-color icons into True Color icons and vice versa. You can create multi-resolution icons for Windows XP.

Plus, you can split icon libraries into individual icons. Any to Icon allows you to extract icons from folders and libraries and place them into the directory of your choice.

The application has a wizard interface, making it simple to process multiple files at once. You can find many images on the Internet and convert them to icons for use on your Windows desktop, in applications and much more.


User Guide

This product has an easy to use, wizard style interface.

  1. Start the program

  2. To add files:
    1. Click the Add files button and select one or more files from the Open File dialog.
    2. Drag and drop files from the File Manager.
    3. Click the Add folder button and select a folder and a file mask.
    4. Click the Paste button to paste images from the clipboard. Double click the desired file name to view the selected image.

  3. Click the Next button and select the desired format and directory destination.

  4. Click the Next button. Select a transparency method.

  5. Click the Next button and wait. Press the Terminate button to stop the process.

  6. Click Repeat button to continue or Finish to exit.


Any to Icon Command line options

Command line options

Usage

Any2Icon.exe source [dest=destdir] [options]

  • Separate command line parameters with spaces.
  • Use double quotes to wrap long file names containing spaces as one parameter.

Options

? | - show this file
d, dest | - destination directory
 | default value = source directory
 | usage: d="c:\temp\long name", d=c:\temp\
df, |
destfile | - destination file, valid for single source file
 | default value = none
 | usage: df="c:\temp\long name.ico", df=c:\temp\1.ico
sz, size | - destination size and color resolution
 | default value = as source file
 | 0 means default value
 | usage: sz=(width)x[height]x[bits per pixel]
 | allowed values: width: 0..9999, height: 0..9999,
 | bits per pixel: 1, 4, 8, 24, 32
 | usage: sz=32x32x8, size=16x16
 | You can create multi-resolution icons also.
 | usage: sz=32x32x8,16x16x8,48x48x32
 | To create icons with required resolutions for Windows XP
 | use such line: sz=winxp
t,tr | - transparency,
 | - image format
 | default value = as source transparency
 | allowed values: color name, RGB color value,
 | by corner (lt=left top, rt=right top, lb=left bottom, rb=right bottom)
 | usage: t=Fuchsia, tr=red, tr=#FF0000, tr=lt, tr=br
o | - overwrite existing files
 | default value = off
 | usage: o-, o+, o
zf | - zoom to fit
 | default value = off
 | usage: zf-, zf+, zf
sf | - shrink to fit
 | default value = on
 | usage: sf-, sf+, sf
sp | - store proportions
 | default value = on
 | usage: sp-, sp+, sp
sr | - smooth resample
 | default value = on
 | usage: sr-, sr+, sr

Example:

Any2Icon.exe c:\picture\avia.bmp dest=c:\temp\ sz=32x32x8 o+ sf+ sp+
Any2Icon.exe c:\picture\avia.bmp dest=c:\temp\ sz=32x32x8,48x48x32 o+ sf+ sp+
Any2Icon.exe c:\picture\avia.bmp dest=c:\temp\ sz=winxp o+ sf+ sp+
Any2Icon.exe "c:\picture\new picture\*.bmp" sz=32x32 o
Any2Icon.exe "c:\picture\new picture\1.bmp" destfile=1new.ico sz=64x64x32 o


Supported File Formats

ICO | - Windows Icon
CUR | - Windows Cursor
ANI | - Animated Cursor
BMP | - Windows Bitmap
GIF | - CompuServe Graphics Interchange
ICPR | - Icon Project
ICNS | - Mac OS Icon
JPG | - JPEG JFIF Image
PCX | - ZSoft Publisher’s Paintbrush Image
PNG | - Portable Network Graphics
TIF | - TIFF Image
PSD | - Adobe Photoshop Image
RSRC | - Mac OS Icon
WBMP | - WAP Bitmap
WMF | - Windows Metafile Format
XPM | - X Pixmap Format
XBM | - X Bitmap Format
ICL, DLL, EXE, SCR etc. - Icon Library


Registration and Licensing

Any to Icon can be ordered over the Internet, via fax, postal mail or phone. Once you have purchased the product by completing the online order form, a license key will be sent to you via email. This key unlocks the software for use. Detailed information about the ordering process can be found here.

Trial limitations:

  • Nag screen
  • 30 trial executions
  • 5 files can be converted only at once

    30 Day Money Back Guarantee!


About Aha-Soft

Founded in 2000, Aha-Soft is a relatively new entry into a crowded field of software developers. The company is off to a phenomenal start, however, and has received high praise from users and experts all over the world.

Our mission is to ease the time crunch faced by software developers all across the planet, from one-man basement operations to giants like Sun and Microsoft.

To this end, Aha-soft has developed a series of software products specifically designed to minimize the time developers spend creating the icons, cursors and small images that are used in program development and eventually by end users.

We would appreciate very much if you could email us any suggestions concerning possible improvements to Any to Icon and our other software. Your e-mails are welcome at support@aha-soft.com.

Below is the list of the state-of-the-art software products you can find at our Web site:

ArtCursors
ArtCursors provides a de-facto standard for a cursor editor. This application allows you to edit regular and animated cursors in color depths up to 16 million colors. You can also search files and folders for cursors, import and export cursor images and create cursor libraries for better and more efficient storage.

ArtIcons
ArtIcons allows you to find, create, edit, import and export icons and manage icon libraries. With this powerful utility you can create and edit icons in either standard or custom sizes, in color depths up to 32-bit True Color. ArtIcons is the first tool to directly support the new format introduced in Windows XP. ArtIcons contains various graphic tools including enhanced gradient and chess fill. You can import icons from image, cursor and library files and even from executables.

Icon to Any
With Icon to Any you can easily convert any icons or cursors you want to seven graphic formats in three simple steps. It can be really useful for those who need small graphic files for use on a website (a lot of sites make use of small nice graphics), or for programmers who can convert the icons to resource compiler files and use them in their applications. There's a lot more uses for small graphics: multimedia applications, logos, designing your business cards, invitations, membership cards, coupons etc.

AhaView
AhaView is a handy image viewer and converter. It displays images in all popular formats: JPEG, GIF, PNG, BMP, ICO, CUR, ANI, WBMP. It has a thumbnail mode and lets you quickly browse through numerous image files, open any of them full size with a double click, convert images to JPEG, PNG, BMP formats. You can also move, copy, duplicate and rename files and copy images to the clipboard.

IconXP
IconXP can edit and create Windows icons in color depths up to 32-bit True Color. It supports the new icon format introduced in Windows XP (8-bit transparency). You can customize desktop and folder icons.

IconLover
IconLover is a powerful, easy to use utility for finding, extracting, creating and editing icons, cursors and managing icon libraries and image lists.

IconUtils
IconUtils is a complete icon and cursor solution. Use it to express your artistic nature and create your own unique icons and cursors, manage icon and cursor libraries, convert existing images, give the unique look and feel to your desktop and various folders.


Contents

  • About Any To Icon
  • User guide
  • Command line usage
  • Supported file formats
  • Registration and licensing
  • About Aha-soft